--- title: "Cloud agnostic cloudSwXtch Install" slug: "cloud-agnostic-cloudswxtch-vm-install" updated: 2026-07-03T16:48:09Z published: 2026-07-03T16:48:09Z canonical: "docs.swxtch.io/cloud-agnostic-cloudswxtch-vm-install" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.swxtch.io/llms.txt > Use this file to discover all available pages before exploring further. # Cloud agnostic cloudSwXtch Install **WHAT TO EXPECT** **In this article**, users will learn how to install a cloudSwXtch instance on an existing Linux Ubuntu 24.04 virtual machine. This installation procedure can be used on **any** cloud. As with any BYOL deployment, it requires a license file from swXtch.io. For more information about VM prerequisites, please see the [cloudSwXtch System Requirements](/v2/docs/cloudswxtch-prerequisites). ### Pre-Installation Step: Create the environment What is needed: - For Pre-requisites see [cloudSwXtch System Requirements](/v2/docs/cloudswxtch-prerequisites). - VM must be Ubuntu 24.04 - The VM needs an internet connection - The user must be able to log into the VM using SSH All the prerequisites are described in more detail in the [cloudSwXtch System Requirements](/v2/docs/cloudswxtch-prerequisites) page. > [!WARNING] > **Cloud Specifics for OCI** > > When creating the VM you MUST select “Hardware-assisted (SR-IOV) networking” in the “Advanced” section in the “Networking” tab. > > **Cloud Specifics for GCP** > > A cloudSwXtch instance can’t have both NICs on the same VPC due to a GCP limitation. Two subnets, each on different VPC network is needed. The subnets can be peered (single-subnet operation; 1 NIC on each agent) or not (higher performance; 2 NICs on each agent) #### Prerequisites Users must install and enable **Docker** on their Ubuntu VM. Please see ["How to Install Docker on RHEL and Ubuntu"](/v2/docs/how-to-install-docker-on-rhel-and-ubuntu). > [!TIP] > NOTE > > The installation script can also install all dependencies, including Docker, if the argument `--auto_deps` is used in the swx-install.sh line. See the [STEP TWO](/v2/docs/cloud-agnostic-cloudswxtch-vm-install#step-two-install-cloudswxtch). ### STEP ONE: Prepare the installation by updating the OS 1. Update all of the currently installed OS packages ```shell apt update && apt upgrade -y ``` 2. Reboot VM ```shell sudo reboot now ``` ### STEP TWO: Install cloudSwXtch In this step, users will execute commands in their VMs to manually install a cloudSwXtch instance. 1. Connect to the VM instance that will be used as a cloudSwXtch. 2. Enter the following commands to download the **cloudSwXtch installer script**: 1. The recommended method will install with dependencies but without persisting configuration data: Shell ```shell token="si=RDONLY&spr=https&sv=2021-06-08&sr=c&sig=xyPF7SyI1cagUAEIZViqCHz7RroFTy2Fkltn2wwvMzc%3D" ver="v4.2.1" curl -X GET -H "x-ms-date: $(date -u)"  "https://sdmcdevstorage.blob.core.windows.net/imagebuilder/swx-swxtch-${ver}.tar.gz?$token" -o /tmp/swx-swxtch-${ver}.tar.gz tar -xvf /tmp/swx-swxtch-${ver}.tar.gz -C /tmp; /tmp/swx-swxtch-${ver}/swx-install.sh --auto_deps ``` 1. If the dependencies are already in place, the `--auto_deps` can be omitted 2. If persistent configuration data is needed, `--persist` should be added to the last line. 3. Upon success, the system will automatically reboot. 4. After reboot, validate that the cloudSwXtch is running using the command below and checking that the status is OK: ```shell swx-top ``` ![](https://cdn.document360.io/84c5db44-f675-4f33-a980-5d3fc63073ca/Images/Documentation/swx-top-validate%20running.png?sv=2026-02-06&spr=https&st=2026-11-10T23%3A45%3A41Z&se=2026-11-11T00%3A45%3A41Z&sr=c&sp=r&sig=uEPjMLuIFzn6P0P5A%2FhXaHL%2BsyYN%2BCIVYoLDGnQhD3U%3D) Configuration files can be found in /var/opt/swxtch. Logs files can be found at /var/log/swxtch. For more information on logging see [How to View cloudSwXtch and swXtchBridge Logs](/v2/docs/how-to-view-cloudswxtch-logs-troubleshooting). ### STEP THREE: License the cloudSwXtch For more information, see [Licensing a cloudSwXtch](/v2/docs/licensing-cloudswxtch). **NEXT STEPS** **The cloudSwXtch is ready to use**. The next step is to install the xNIC on each client expected to get traffic from the cloudSwXtch, and swXtchBridge if needed. See [Installing xNIC](/v2/docs/xnic-installation) for more information on preparing clients.